Package org.eclipse.debug.core.model

## Interface IDropToFrame

    public interface IDropToFrame

Provides the ability to drop to frame. Drop to frame generally means popping a selected stack frame (and all frames above it) from the execution stack and then stepping back into the frame.

Since:
  3.1

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canDropToFrame()` Returns whether this element can currently perform a drop to frame.
`void` `dropToFrame()` Performs a drop to frame on this element.

### Method Detail

#### canDropToFrame

    boolean canDropToFrame()

Returns whether this element can currently perform a drop to frame.

Returns:
  whether this element can currently perform a drop to frame

#### dropToFrame

    void dropToFrame()
              throws DebugException

Performs a drop to frame on this element. Implementations must generate events such that debug clients can update appropriately, such as corresponding `RESUME` and `SUSPEND` events, or a single `CHANGE` event when the drop is complete. Implementations should implement drop to frame in a non-blocking fashion.

Throws:
  `DebugException` - on failure. Reasons include:
  - TARGET_REQUEST_FAILED - The request failed in the target
  - NOT_SUPPORTED - The capability is not supported by the target